# Function RxapStaticDataSource

- RxapStaticDataSource<Data>(metadata, className?, packageName?): ((target) => void)

- #### Type Parameters

  - Data

  #### Parameters

  - metadata: StaticDataSourceMetadata<Data>
  - className: string = 'StaticDataSource'
  - packageName: string = '@rxap/data-source'

  #### Returns ((target) => void)

  - - (target): void

    - #### Parameters

      - target: Constructor<StaticDataSource<Data>>

      #### Returns void

  - Defined in packages/angular/data-source/src/lib/static.data-source.ts:112